Loading...
Searching...
No Matches
rostlab::blast::result Struct Reference

Blast result for one query. More...

`#include <blast-result.h>`

## Public Member Functions

| result ()
virtual | ~result ()
| operator bool () const
| Conversion to bool - true when not empty.

## Public Attributes

bool | empty
std::string | blast_version
std::vector< std::string > | references
std::vector< rostlab::blast::round > | rounds
| Vector of iterated blast round information.
std::string | q_name
| Query name.
std::string | q_desc
| Query description.
size_t | q_length
| Query length.
std::string | db_name
| Database name.
size_t | db_nseq
| Number of sequences in database.
size_t | db_nletter
| Number of letters in database.
std::vector< rostlab::blast::oneline > | onelines
| Vector of all one-line descriptions.
bool | converged
| Indicates that the search has converged.
std::vector< rostlab::blast::hit > | hits
| Vector of all hits.
std::string | tail
| Tail part of blast result as a long string.

## Detailed Description

Blast result for one query.

Definition at line 164 of file blast-result.h.

## Constructor & Destructor Documentation

## result()

rostlab::blast::result::result | ( |  | ) |

inline

Definition at line 195 of file blast-result.h.

## ~result()

virtual rostlab::blast::result::~result | ( |  | ) |

inline virtual

Definition at line 196 of file blast-result.h.

## Member Function Documentation

## operator bool()

rostlab::blast::result::operator bool | ( |  | ) | const

inline

Conversion to bool - true when not empty.

This allows writing 'while( res = parser_driver.parse() ){ ... }'.

Definition at line 200 of file blast-result.h.

## Member Data Documentation

## blast_version

std::string rostlab::blast::result::blast_version

Definition at line 166 of file blast-result.h.

## converged

bool rostlab::blast::result::converged

Indicates that the search has converged.

Definition at line 188 of file blast-result.h.

## db_name

std::string rostlab::blast::result::db_name

Database name.

Definition at line 179 of file blast-result.h.

## db_nletter

size_t rostlab::blast::result::db_nletter

Number of letters in database.

Definition at line 183 of file blast-result.h.

## db_nseq

size_t rostlab::blast::result::db_nseq

Number of sequences in database.

Definition at line 181 of file blast-result.h.

## empty

bool rostlab::blast::result::empty

Definition at line 165 of file blast-result.h.

## hits

std::vector<rostlab::blast::hit> rostlab::blast::result::hits

Vector of all hits.

Definition at line 191 of file blast-result.h.

## onelines

std::vector<rostlab::blast::oneline> rostlab::blast::result::onelines

Vector of all one-line descriptions.

Definition at line 186 of file blast-result.h.

## q_desc

std::string rostlab::blast::result::q_desc

Query description.

Definition at line 175 of file blast-result.h.

## q_length

size_t rostlab::blast::result::q_length

Query length.

Definition at line 177 of file blast-result.h.

## q_name

std::string rostlab::blast::result::q_name

Query name.

Definition at line 173 of file blast-result.h.

## references

std::vector<std::string> rostlab::blast::result::references

Definition at line 168 of file blast-result.h.

## rounds

std::vector<rostlab::blast::round> rostlab::blast::result::rounds

Vector of iterated blast round information.

Definition at line 171 of file blast-result.h.

## tail

std::string rostlab::blast::result::tail

Tail part of blast result as a long string.

Definition at line 193 of file blast-result.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-result.h